DMI_FIRST_MATCH(9)

NAME
dmi_first_match - find dmi_system_id structure matching system DMI data

SYNOPSIS

const struct dmi_system_id * dmi_first_match(const struct dmi_system_id * list);

ARGUMENTS

list
    array of dmi_system_id structures to match against All non-null elements of the list must match their slot's (field index's) data (i.e., each list string must be a substring of the specified DMI slot's string data) to be considered a successful match.

DESCRIPTION

Walk the blacklist table until the first match is found. Return the pointer to the matching entry or NULL if there's no match.

COPYRIGHT